import { FormDatas } from "./interface";
import { useEffect, useState } from "react";
import { base } from "@/service/base";
import { Checkbox, Form } from "antd";

export const FormCheckBox = (v: FormDatas) => {
    const [list, setList] = useState<any>([]);
    useEffect(() => {
        if (v.selectList && v.selectList.length > 0) {
            setList(v.selectList);
        } else {
            base.get(`${v.selectUrl}/?size=50&offset=1`, "").then((res) => {
                setList(res.data.record ?? []);
            });
        }
    }, [v.selectUrl, v.selectList]);
    return (
        <Form.Item
            key={v.label}
            label={v.label}
            name={v.name}
            rules={v.rules}
        >
            <Checkbox.Group>
                {list.map((item, index) => {
                    return <Checkbox key={index} value={item.identity}>
                        {item.data_name}
                    </Checkbox>
                })}
            </Checkbox.Group>
        </Form.Item>
    );
};
