import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { CompanyConfig, DepConfig } from "@/service/user_config";
import { ColumnsType } from "antd/lib/table";
export const defaultConfig = [
  {
    type: FormType.input,
    label: "部门名称",
    name: "dep_name",
    value: "",
    rules: [{ required: true, message: "请输入部门名称!" }],
  },
  {
    type: FormType.input,
    label: "部门描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入部门描述" }],
  },
  {
    type: FormType.input,
    label: "负责人",
    name: "head",
    value: "",
    rules: [{ required: true, message: "请输入负责人" }],
  },
  {
    type: FormType.input,
    label: "部门电话",
    name: "phone",
    value: "",
    rules: [{ required: true, message: "请输入部门电话" }],
  },
  {
    type: FormType.input,
    label: "部门邮箱",
    name: "email",
    value: "",
    rules: [{ required: true, message: "请输入部门邮箱" }],
  },
  {
    type: FormType.select,
    label: "上级部门",
    name: "p_id",
    value: 0,
    selectUrl: DepConfig.LIST,
    keys: "dep_name",
    rules: [],
  },
  {
    type: FormType.treeSelect,
    label: "所属单位",
    name: "company_id",
    value: 0,
    selectUrl: CompanyConfig.LIST,
    keys: "name",
    rules: [],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "部门名称",
    dataIndex: "dep_name",
    width: 200,
    fixed: "left",
  },
  {
    title: "部门描述",
    dataIndex: "dep_desc",
  },

  {
    title: "负责人",
    dataIndex: "head",
  },
  {
    title: "部门电话",
    width: 150,
    dataIndex: "phone",
  },
  {
    title: "部门邮箱",
    width: 150,
    dataIndex: "email",
  },
  {
    title: "上级部门名称",
    width: 150,
    dataIndex: "email",
  },
];
