import BTable from "@/components/b_table";
import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect } from "react";
import { columns, defaultConfig } from "./config";

const Event = (props: Store) => {
    const { thingStore } = props;
    useEffect(() => {
        thingStore.getlist();
    }, [thingStore]);

    return <div className="contentBox">
        <BTable
            btnText="添加事件"
            store={thingStore}
            scroll={{ x: "max-content" }}
            columns={columns}
            dataSource={thingStore.list??[]}
            config={defaultConfig}
        />
    </div>
}

export default inject("thingStore")(observer(Event));