import Config from "@/util/config";
import { Button, message, Upload, UploadProps } from "antd";

const Uploads = () => {
  const props: UploadProps = {
    name: "file",
    action: `${Config.baseUrl}/public/fts/uploadthree`,
    headers: {
      authorization: "authorization-text",
    },
    onChange(info: any) {
      if (info.file.status === "done" && info.file.response.code !== 200) {
        message.error(`${info.file.response.msg}`);
      } else if (info.file.status === "error") {
        message.error(`${info.file.name} file upload failed.`);
      }
    },
  };
  return (
    <Upload {...props}>
      <Button>导入</Button>
    </Upload>
  );
};

export default Uploads;
