import { createHashRouter } from "react-router-dom";
import LayOut from "@/components/layout/layout";
import Login from "@/pages/login/login";
import User from "@/pages/user/user";
import Dashbord from "@/pages/dashbord";
import Source from "@/pages/source/source";
import Menu from "@/pages/menu";
import Role from "@/pages/role";
import Permission from "@/pages/permission";
import Dep from "@/pages/dep";
import Company from "@/pages/company";
import Event from "@/pages/event";
import { My } from "@/pages/my";

const routers = createHashRouter([
  {
    path: "/",
    element: <LayOut />,
    children: [
      {
        path: "/",
        index: true,
        element: <Dashbord />,
      },
      {
        path: "/user/list",
        index: true,
        element: <User />,
      },
      {
        path: "/source/list",
        index: true,
        element: <Source />,
      },
       {
        path: "/source/event",
        index: true,
        element: <Event />,
      },
      {
        path: "/permi/permi",
        index: true,
        element: <Permission />,
      }, {
        path: "/permi/dep",
        index: true,
        element: <Dep />,
      },
      {
        path: "/permi/menu",
        index: true,
        element: <Menu />,
      },
      {
        path: "/permi/role",
        index: true,
        element: <Role />,
      },
      {
        path: "/permi/company",
        index: true,
        element: <Company />,
      },

    ],
  },
  {
    path: "/login",
    element: <Login />,
  },
  {
    path: "/my/use",
    index: true,
    element: <My />,
  },
]);

export { routers };
