import { action, makeObservable, observable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import SourceConfig from "@/service/source_config";
import { base } from "@/service/base";
import { message } from "antd";

class SourceStore extends BaseStore<UserDataType> {
    headlist = []
    contentList = []
    total: any = 0;
    constructor() {
        super(SourceConfig)
        makeObservable(this, {
            getHead: action,
            headlist: observable,
            contentList: observable
        })
    }
    async getHead() {
        let res = await base.get(SourceConfig.Headers, {})
        if (res.code !== 200) {
            message.error(res.msg)
            return false
        }
        this.headlist = res.data.record;
        return res.data.record;
    }

    async modefyData(obj, idcard) {
        let list: any = []
        for (let value in obj) {
            if (obj[value]) {
                list.push({
                    key: value,
                    val: obj[value]
                })
            }
        }
        let res = await base.put(SourceConfig.EDIT, {
            list:list,
            id_card:idcard,
        })
        if (res.code !== 200) {
            message.error(res.msg)
            return false
        }
        return true
    }

    async geContent(list, page, size) {
        let res = await base.post(SourceConfig.Content, { identity: list, offset: page ?? 1, size: size ?? 10 })
        if (res.code !== 200) {
            message.error(res.msg)
            return false
        }
        this.total = res.data.count;
        return res.data.record;
    }
}
const sourceStore = new SourceStore();
export default sourceStore;